Employees

List employees

GET
/api/public/v3/employees

Query Parameters

created_at[gte]?integer
created_at[lte]?integer
emails?array<string>
employee_numbers?array<string>
fields?array<string>
hired_on[gte]?string
hired_on[lte]?string
ids?array<string>
status?string
updated_at[gte]?integer
updated_at[lte]?integer

Response Body

application/json

application/json

curl -X GET "https://example.com/api/public/v3/employees"
{  "data": [    {      "id": 0,      "status": "string",      "access": true,      "employee_number": "string",      "full_name": "string",      "first_name": "string",      "middle_name": null,      "last_name": "string",      "avatar_url": "string",      "email": "string",      "personal_email": null,      "date_of_birth": "string",      "probation_ends_on": "string",      "hired_on": "string",      "gender": null,      "legal_entity": null,      "position": null,      "job_level": null,      "location": null,      "employment_type": null,      "division": null,      "job_profile": null,      "department": null,      "reporting_to": null,      "created_at": "string",      "updated_at": "string",      "fields": {        "tax_number": {          "label": "string",          "group": {            "id": 0,            "name": "string"          },          "value": "string"        },        "plan": {          "label": "string",          "group": {            "id": 0,            "name": "string"          },          "value": "string",          "option_id": 0        },        "tags": {          "label": "string",          "group": {            "id": 0,            "name": "string"          },          "value": [            "string"          ],          "option_ids": [            0          ]        },        "buddy": {          "label": "string",          "group": {            "id": 0,            "name": "string"          },          "value": "string",          "user_id": 0        }      },      "termination_effective_on": "string",      "termination_comment": null,      "termination_eligible_for_rehire": null,      "termination_type": {        "id": 0,        "name": "string"      },      "termination_reason": {        "id": 0,        "name": "string"      }    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}